Subject: Re: [PATCH v2] scripts: get_maintainer: steer people away from using file paths

From: Jakub Kicinski <[email-masked]>
Date: Wed, 26 Jul 2023 17:11:23 -0700

On Wed, 26 Jul 2023 19:47:31 -0400 Konstantin Ryabitsev wrote:
> > And have every other subsystem replicate something of that nature.
> > 
> > Sidebar, but IMO we should work on lore to create a way to *subscribe*
> > to patches based on paths without running any local agents. But if I
> > can't explain how get_maintainers is misused I'm sure I'll have a lot
> > of luck explaining that one :D  
> 
> I just need to get off my ass and implement this. We should be able to offer
> the following:
> 
> - subsystem maintainers come up with query language for what they want
>   to monitor (basically, whatever the query box of lore.kernel.org takes)
> - we maintain a bot that runs these queries and populates a public-inbox feed
> - this feed is available via read-only pop/imap/nntp (pull subscription)
> - it is also fed to a mailing list service (push subscription)

*Nod*

> The goal is to turn the tables -- instead of patch submitters needing to
> figure out where the patch needs to go (via get_maintainer or similar
> scripts), they just send everything to lkml or [email-masked] and let
> the system figure out who needs to look at them.

My initial motivation for this was to let people (who are *not*
maintainers) subscribe to parts of netdev. During previous cycles we
saw ~246 emails a day. If someone is only interested in e.g. IP routing
fishing out the one routing patch a week from all the driver noise is
almost impossible.

> That's for the part that I was already planning to do. In addition, coming
> back to the topic of this thread, we could also look at individual patches
> hitting the feed, pass them through any desired configuration of
> get_maintainer.pl, and send them off any recipients not already cc'd by the
> patch author. I believe this is what you want to have in place, right, Jakub?

Hm, hm. I wasn't thrilled by the idea of sending people a notification
that "you weren't CCed on this patch, here's a link". But depending on
your definition of "hitting the feed" it sounds like we may be able to
insert the CC into the actual email before it hits lore? That'd be
very cool! At least for the lists already migrated from vger to korg?